/**
 * OYO.js
 * (c) 2017 Owen Luke
 * https://github.com/tasjs/tas
 * Released under the MIT License.
 */

var expect = require('chai').expect;
var results;

describe('run', function(){
	it('should return logs', function(done){

		global.isTestMySelf = true;

		var requireUncached = require('./__/requireUncached');
		var run = requireUncached(__dirname + '/../lib/run');

		var tester = function(done, count){
			done(count);
		};

		run(tester, function(){
			expect(run.getLogs() === results.join('\n')).to.be.equal(true);
			done();
		});
	});
});

results = [
	'---- [times 1/3]',
	'---- [times 2/3]',
	'---- [times 3/3]',
	'==== [cycles 1/2]',
	'---- [times 1/3]',
	'---- [times 2/3]',
	'---- [times 3/3]',
	'==== [cycles 2/2]'
];
