/**
 * OYO.js
 * (c) 2017 Owen Luke
 * https://github.com/tasjs/tas
 * Released under the MIT License.
 */

var config = require('../__config');
var express = require('express');
var app = express();

app.get('/', function (req, res) {
	res.set('Connection', 'close');
	res.send('Hello World!');
});

var server = app.listen(config.ports.express, function () {
	console.log('Express server listening on port %s!', config.ports.express);
});

server.timeout = 0;
