/**
 * OYO.js
 * (c) 2017 Owen Luke
 * https://github.com/tasjs/tas
 * Released under the MIT License.
 */

var config = require('../__config');
var http = require("http");

http.globalAgent.maxSockets = Infinity;

var server = http.createServer(function(req, res) {
	res.setHeader('Connection', 'close');
	res.end('Hello World!');

}).listen(config.ports.http, function () {
	console.log('Http server listening on port %s!', config.ports.http);
});

server.timeout = 0;
