
var isTestMySelf;
var arrLogs;

var log = {
	init: function(isTestMySelf_){
		isTestMySelf = isTestMySelf_;
		isTestMySelf && (arrLogs = []);
	},

	do: function(){
		var args = Array.prototype.slice.call(arguments);
		var arrStr = [];
		var arrPara = [];
		var fn = isTestMySelf ? 'save' : 'print';

		this.pickup(args, arrStr, arrPara);
		this[fn](arrStr, arrPara);
	},

	pickup: function(args, arrStr, arrPara){
		var str;
		var arg;

		for (var i = 0, len = args.length; i < len; i ++) {
			arg = args[i];

			if (typeof arg === 'function') { // a method of clc
				str = isTestMySelf ? args[i + 1] : arg(args[i + 1]);
				arrStr.push(str); // save the next str to arr

				i ++; // skip the next loop
			}
			else {
				arg = arg + '';
				arg.indexOf('%s') >= 0 ? arrStr.push(arg) : arrPara.push(arg);
			}
		}
	},

	print: function(arrStr, arrPara) {
		console.log.apply(null, arrStr.concat(arrPara));
	},

	save: function(arrStr, arrPara){
		var str;

		for (var i = 0, len = arrStr.length; i < len; i ++) {
			str = arrStr[i];
			str = str.replace(/%s/g, function(match){
				return arrPara.shift();
			});

			arrLogs.push(str);
		}
	},

	getLogs: function(){
		return arrLogs.join('\n');
	}
};

module.exports = log;
