/**
 * OYO.js
 * (c) 2017 Owen Luke
 * https://github.com/tasjs/tas
 * Released under the MIT License.
 */

var expect = require('chai').expect;
var results;

describe('run with debug and config', function(){
	it('should return logs', function(done){

		global.isTestMySelf = true;

		var config = require('./__/config/debug.config');
		var requireUncached = require('./__/requireUncached');
		var run = requireUncached(__dirname + '/../lib/run')(config, {isDebug: 1});

		var tester = function(done, count){
			done(count);
		};

		run(tester, function(){
			expect(run.getLogs() === results.join('\n')).to.be.equal(true);
			done();
		});
	});
});

results = [
	'---- [times 1/1]',
	'==== [cycles 1/1]'
];
